Loading...

lilypond-devel@gnu.org

[Prev] Thread [Next]  |  [Prev] Date [Next]

Re: GUB won't finish make bootstrap David Kastrup Fri Feb 17 07:01:38 2012

Carl Sorensen <[EMAIL PROTECTED]> writes:

> On 2/17/12 7:44 AM, "David Kastrup" <[EMAIL PROTECTED]> wrote:
>
>>Carl Sorensen <[EMAIL PROTECTED]> writes:
>>
>>> On 2/17/12 7:37 AM, "David Kastrup" <[EMAIL PROTECTED]> wrote:
>>>
>>>>Carl Sorensen <[EMAIL PROTECTED]> writes:
>>>>
>>>>> Did a Google search for this error message and found
>>>>>
>>>>> http://lists.gnu.org/archive/html/lilypond-devel/2009-03/msg00356.html
>>>>>
>>>>>
>>>>> Which indicates it may be a problem with -fno-stack-protect
>>>>
>>>>That's like saying a flood in the living room may be a problem with
>>>>insufficient drainage of the floorboards.
>>>>
>>>>Looks like some sprintf overstepping its bounds.
>>>
>>> I agree with you.  But this error occurs not while building LilyPond,
>>> but while building gcc for cross-compile of darwin.
>>
>>Ugh.  Maybe try CFLAGS=-fno-optimize-sibling-calls for building.  Maybe
>>it is the same stupid code generation bug we already had for LilyPond.
>
> I guess that's possible, but the gcc in GUB is 4.1.1, which I don't think
> had that code generation bug.

It didn't, but don't you need to bootstrap?  I obviously don't know GUB.

-- 
David Kastrup


_______________________________________________
lilypond-devel mailing list
[EMAIL PROTECTED]
https://lists.gnu.org/mailman/listinfo/lilypond-devel